Last modified: 2011-09-15 06:32:41 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 29796 - Create Wikiversity Arabic
Create Wikiversity Arabic
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Site requests (Other open bugs)
unspecified
All All
: Unprioritized enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
http://meta.wikimedia.org/wiki/Reques...
: ops
Depends on:
Blocks: wikis-to-create
  Show dependency treegraph
 
Reported: 2011-07-10 00:40 UTC by Robin Pepermans (SPQRobin)
Modified: 2011-09-15 06:32 UTC (History)
7 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Robin Pepermans (SPQRobin) 2011-07-10 00:40:02 UTC
The language committee and WMF Board have approved the creation of Wikiversity Arabic.

Language code: ar
Site URL: ar.wikiversity.org
Project name: ويكي الجامعة
Project namespace: ويكي الجامعة
Project talk namespace: نقاش ويكي الجامعة
Project logo: http://commons.wikimedia.org/wiki/File:Wikiversity-logo-ar-small.png
Timezone: default (UTC)

Extra namespaces:
School = مدرسة
School talk = نقاش المدرسة
Portal = بوابة
Portal talk = نقاش البوابة
Topic = موضوع
Topic talk = نقاش الموضوع
Collection = مجموعة
Collection talk = نقاش المجموعة

Thank you.
Comment 1 David Crochet 2011-07-10 08:09:38 UTC
as http://beta.wikiversity.org/wiki/Wikiversity:Babel#Preparation_AR_Wikiversity

add :

'wgNamespaceAliases' -> 'arwikiversity' => array(['وج'] = NS_PROJECT),

'wgNamespacesWithSubpages' -> $wgNamespacesWithSubpages = array_fill(0, 200, true);   or similar

'wgImportSources' -> 'arwikiversity'= array(
    'w','b','n','q','s','wikt'),

'wgEnotifWatchlist'  -> 'arwikiversity'=true,
Comment 2 JeLuF 2011-07-12 09:37:49 UTC
Done.
Comment 3 Meno25 2011-07-13 14:36:02 UTC
Please also disable the conversion of Western Arabic numerals (0, 1, 2 ) to Eastern Arabic numerals (٠‎ - ١‎ - ٢) like other Arabic wikis. I believe this can be done by setting $wgTranslateNumerals = false; Here is the discussion about the subject.

<http://ar.wikipedia.org/wiki/%D9%88%D9%8A%D9%83%D9%8A%D8%A8%D9%8A%D8%AF%D9%8A%D8%A7:%D8%A7%D9%84%D9%85%D9%8A%D8%AF%D8%A7%D9%86/%D8%A3%D8%B1%D8%B4%D9%8A%D9%81/%D8%B3%D8%A8%D8%AA%D9%85%D8%A8%D8%B1_2005#.D8.AA.D8.B5.D9.88.D9.8A.D8.AA_.D9.87.D8.A7.D9.85>
Comment 4 JeLuF 2011-07-13 20:20:19 UTC
Your change has been completed.
Please reopen this ticket if anything went wrong.
The following configuration settings have been changed:
===================================================================
Index: InitialiseSettings.php
===================================================================
--- InitialiseSettings.php	(revision 1992)
+++ InitialiseSettings.php	(working copy)
@@ -3686,6 +3686,7 @@
     'arwikiquote' => false,
     'arwiktionary' => false,
     'arwikisource' => false,
+    'arwikiversity' => false,
     'arwikinews' => false,
     'hiwiki' => false, // http://bugzilla.wikimedia.org/show_bug.cgi?id=29279 
     'tewiki' => false, # by request -- maybe remove from file
===================================================================
You can find the entire config file at
http://noc.wikimedia.org/conf/highlight.php?file=InitialiseSettings.php
Comment 5 Avocato 2011-09-15 06:32:41 UTC
ح

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links